Eclipse Platform Release 3.7

## org.eclipse.equinox.http.registry
Interface HttpContextExtensionService

    public interface HttpContextExtensionService

The HttpContextExtensionService provides access to an HttpContext instance whose resources and implementation are added via the "httpcontexts" extension point.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`HttpContext` `getHttpContext(ServiceReference httpServiceReference, String httpContextId)` returns the HttpContext associated with the HttpService reference and http context name

Method Detail

### getHttpContext

    HttpContext getHttpContext(ServiceReference httpServiceReference,
                               String httpContextId)

  returns the HttpContext associated with the HttpService reference and http context name

  Parameters:
    `httpServiceReference` - The ServiceReference of the http service to which this HttpContext applies
    `httpContextId` - The name of the HttpContext. Must be provided
  Returns:
    The HttpContext associated with the "id" and Http Service Reference; `null` if the HttpContext is unavailable.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.